<template>
  <div>
    <div class="d-none d-md-block pt-4 pb-4 pt-md-5 pb-md-5">
      <div class="container">
        <h1>{{ $t('returning.headline') }}</h1>
      </div>
    </div>

    <div
      :style="
        'background-image: url(' +
          require('~/assets/images/screenshot/ragus_goo.1920x1080.jpg?resize&size=1920')
            .src +
          '); background-size: cover;background-position: center;'
      "
      class="bg-dark section-border-top section-border-bottom"
    >
      <div class="container extended pt-5 pb-5">
        <div class="row">
          <div class="col-md-6 col-xl-3">
            <CardLogin v-if="!signedIn"></CardLogin>
            <CardUser v-else></CardUser>
          </div>
          <div class="col-md-6 col-xl-3 mt-4 mt-md-0">
            <CardCreateAccount
              v-if="!signedIn"
              @clicked="clickCreateAccount"
            ></CardCreateAccount>
            <CardSubscription
              v-else
              @clicked="clickResub"
              @more="scrollFix('#premium')"
            ></CardSubscription>
          </div>
          <div class="col-md-6 col-xl-3 mt-4 mt-xl-0">
            <CardDownload @clicked="clickDownload"></CardDownload>
          </div>
          <div class="col-md-6 col-xl-3 mt-4 mt-xl-0">
            <CardHelp @clicked="clickRecovery"></CardHelp>
          </div>
        </div>
      </div>
    </div>

    <div>
      <a name="premium" style="position: relative;top:-5rem;"></a>
      <div class="pt-4 pb-4 pt-md-5 pb-md-5">
        <div class="container">
          <h1>{{ $t('premium.title') }}</h1>
        </div>
      </div>

      <div
        class="pt-4 pb-4 pt-md-5 pb-md-5 bg-section-gradient section-border-top section-border-bottom"
      >
        <div class="container">
          <Rates></Rates>
        </div>
      </div>

      <div class="pt-4 pb-4 pt-md-5 pb-md-5">
        <div class="container">
          <h1>
            {{ $t('premium.compare.title') }}
          </h1>
        </div>
      </div>

      <div class="mb-5">
        <div
          class="d-md-none bg-section-gradient section-border-top section-border-bottom pt-4 pb-4 pt-md-5 pb-md-5 list-invisible"
        >
          <div class="container">
            <b-card no-body class="bg-dark">
              <b-tabs card>
                <b-tab :title="$t('premium.comparison.premium.title')" active>
                  <SingleFeatureRow
                    icon="sort-amount-up"
                    brick-id="premium.comparison.premium.maxlevel"
                  ></SingleFeatureRow>
                  <SingleFeatureRow
                    icon="tshirt"
                    brick-id="premium.comparison.premium.maxquality"
                  ></SingleFeatureRow>
                  <SingleFeatureRow
                    icon="luggage-cart"
                    brick-id="premium.comparison.premium.storage"
                  ></SingleFeatureRow>
                  <SingleFeatureRow
                    icon="dna"
                    brick-id="premium.comparison.premium.xp"
                  ></SingleFeatureRow>
                  <SingleFeatureRow
                    icon="hands-helping"
                    brick-id="premium.comparison.premium.support"
                  ></SingleFeatureRow>
                </b-tab>

                <b-tab :title="$t('premium.comparison.free.title')">
                  <SingleFeatureRow
                    icon="sort-amount-up"
                    brick-id="premium.comparison.free.maxlevel"
                  ></SingleFeatureRow>
                  <SingleFeatureRow
                    icon="tshirt"
                    brick-id="premium.comparison.free.maxquality"
                  ></SingleFeatureRow>
                  <SingleFeatureRow
                    icon="luggage-cart"
                    brick-id="premium.comparison.free.storage"
                  ></SingleFeatureRow>
                  <SingleFeatureRow
                    icon="dna"
                    brick-id="premium.comparison.free.xp"
                  ></SingleFeatureRow>
                  <SingleFeatureRow
                    icon="hands-helping"
                    brick-id="premium.comparison.free.support"
                  ></SingleFeatureRow>
                </b-tab>
              </b-tabs>
            </b-card>
          </div>
        </div>

        <div
          class="d-none d-md-block bg-section-gradient section-border-top section-border-bottom pt-4 pb-4 pt-md-5 pb-md-5 list-invisible"
        >
          <div class="container font-large">
            <div class="row font-xx-large">
              <div class="col-5 text-right text-uppercase">
                {{ $t('premium.comparison.free.title') }}
              </div>
              <div class="col text-center"></div>
              <div class="col-5 text-uppercase">
                {{ $t('premium.comparison.premium.title') }}
              </div>
            </div>

            <ComparisonRow
              icon="sort-amount-up"
              brick-id-free="premium.comparison.free.maxlevel"
              brick-id-premium="premium.comparison.premium.maxlevel"
            ></ComparisonRow>
            <ComparisonRow
              icon="tshirt"
              brick-id-free="premium.comparison.free.maxquality"
              brick-id-premium="premium.comparison.premium.maxquality"
            ></ComparisonRow>
            <ComparisonRow
              icon="luggage-cart"
              brick-id-free="premium.comparison.free.storage"
              brick-id-premium="premium.comparison.premium.storage"
            ></ComparisonRow>
            <ComparisonRow
              icon="dna"
              brick-id-free="premium.comparison.free.xp"
              brick-id-premium="premium.comparison.premium.xp"
            ></ComparisonRow>
            <ComparisonRow
              icon="hands-helping"
              brick-id-free="premium.comparison.free.support"
              brick-id-premium="premium.comparison.premium.support"
            ></ComparisonRow>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
import CardDownload from '~/components/cards/returning/CardDownload';
import CardHelp from '~/components/cards/returning/CardHelp';
import CardSubscription from '~/components/cards/returning/CardSubscription';
import CardLogin from '~/components/cards/returning/CardLogin';

import Rates from '~/components/premium/Rates';
import ComparisonRow from '~/components/premium/ComparisonRow';
import SingleFeatureRow from '~/components/premium/SingleFeatureRow';
import CardCreateAccount from '~/components/cards/returning/CardCreateAccount';
import CardUser from '~/components/cards/returning/CardUser';
import Crosslinking from '~/components/mixins/Crosslinking';
export default {
  auth: false,
  components: {
    CardDownload,
    CardHelp,
    CardSubscription,
    CardUser,
    CardCreateAccount,
    CardLogin,
    SingleFeatureRow,
    ComparisonRow,
    Rates,
  },
  mixins: [Crosslinking],
  computed: {
    ...mapGetters('ryauth', ['isAuthenticated', 'loggedInUser']),
    signedIn() {
      return this.isAuthenticated;
    },
  },
  mounted() {
    this.$store.commit('SET_ACTIVE_PAGE', 'play');
    setTimeout(() => this.scrollFix(this.$route.hash), 300);
  },
  methods: {
    scrollFix(hashbang) {
      if (hashbang) {
        location.href = hashbang;
      }
    },
    clickCreateAccount() {
      this.toAccountSignup();
    },
    clickResub() {
      this.toAccountManagement();
    },
    clickRecovery() {
      const link = document.createElement('a');
      link.href = 'https://support.ryzom.com';

      link.click();
    },
    clickDownload() {
      this.$router.push(this.localePath('download'));
    },
  },
};
</script>
